aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorRahiel Kasim <rahielkasim@gmail.com>2017-05-25 12:48:47 +0200
committerRahiel Kasim <rahielkasim@gmail.com>2017-05-25 12:48:47 +0200
commit2c244b421ec24e955b527b8bad2206bdb89e3d66 (patch)
tree0bcd05cc734ed99aa69a00f8133d76b59bced35e
parent4de0379fe53a846a289e21be871626527be9a581 (diff)
make-deb: make sure not to make the deb in a virtualenv
-rwxr-xr-xrelease/make-deb.bash5
1 files changed, 5 insertions, 0 deletions
diff --git a/release/make-deb.bash b/release/make-deb.bash
index 6b2f82f..61b7e1c 100755
--- a/release/make-deb.bash
+++ b/release/make-deb.bash
@@ -1,5 +1,10 @@
#!/usr/bin/env bash
+if [[ "$VIRTUAL_ENV" ]]; then
+ echo "Exit your virtualenv!"
+ exit 1
+fi
+
fpm -s python -t deb \
--python-bin python3 --python-pip pip3 \
-n 'firectl' \